<?php
include "../../conexion.php";
include "../../parametros.php";

/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
date_default_timezone_set('Europe/London');

define('EOL',(PHP_SAPI == 'cli') ? PHP_EOL : '<br />');

/** Include PHPExcel */
//require_once dirname(__FILE__) . '/../Classes/PHPExcel.php';
require_once('../Classes/PHPExcel.php');


// Create new PHPExcel object
echo "<A href='verdocexcelempresa.php?reporte=4'  >DESCARGAR EXCEL</A><br>";
echo date('H:i:s') , "Se genero el archivo Excel" , EOL;
$objPHPExcel = new PHPExcel();

// Set document properties
//echo date('H:i:s') , " Set document properties" , EOL;
$nombreg="Datos empresas";

$objPHPExcel->getProperties()->setCreator("SG-SST")
							 ->setLastModifiedBy("SG-SST")
							 ->setTitle("SG-SST")
							 ->setSubject("SG-SST")
							 ->setDescription("Informe Empresa SG-SST")
							 ->setKeywords("office PHPExcel php")
							 ->setCategory("Test result file");

$cr=1;
//hoja 1
	//titulos
	  $row=1;
	  $objPHPExcel->setActiveSheetIndex(0);
      $objPHPExcel->getActiveSheet()
    			->setCellValue('A'.$row, 'Gr.Empresarial')
				->setCellValue('B'.$row, 'Contrato')
				->setCellValue('C'.$row, 'Nit')
				->setCellValue('D'.$row, 'Nombre')
				->setCellValue('E'.$row, 'Departamento')
				->setCellValue('F'.$row, 'Ciudad')
				->setCellValue('G'.$row, '% Admin')
				->setCellValue('H'.$row, 'Politica Retorno')
				->setCellValue('I'.$row, 'Reteica')
				->setCellValue('J'.$row, 'Comision');
			$row++;	
			
	$sql_datosrs=mysqli_query($conexion,"SELECT	nit,Nombre,Direccion, Telefono, departamento, ciudad, contrato, grupoempresarial, arl,
														gerente, gerentetelefono, gerentecorreo, responsable, responsablecargo, 
														responsabletelefono, responsablecorreo,id,
														poradministracion,politicaretorno,reteica,comision
											   from empresa order by nombre asc");
	while($datos= mysqli_fetch_row($sql_datosrs))
		{ 
			$nitrs=$datos[0];
			$nombre=$datos[1];
			$direccion=$datos[2];
			$telefono=$datos[3];
			$departamento=$datos[4];
			$municipio=$datos[5];
			$contrato=$datos[6];
			$grupoempresarial=$datos[7];
			$alr=$datos[8];
			$gerente=$datos[9];
			$gerentetelefono=$datos[10];
			$gerentecorreo=$datos[11];
			$responsable=$datos[12];
			$responsablecargo=$datos[13];
			$responsabletelefono=$datos[14];
			$responsablecorreo=$datos[15];
			$idreg=$datos[16];
			$poradministracion=$datos[17];
			$politicaretorno=$datos[18];
			$reteica=$datos[19];
			$comision=$datos[20];
			
			  
			$ngrupoempresarial="";$nciudad="";$ndepartamento="";
			 $sql_contar =mysqli_query($conexion,"select nombre from grupo_empresarial where id='".$grupoempresarial."'");
			 while($datos= mysqli_fetch_row($sql_contar)){  $ngrupoempresarial=$datos[0];  }
			 
			  $sql_contar =mysqli_query($conexion,"select nombre from departamento where id='".$departamento."'");
			 while($datos= mysqli_fetch_row($sql_contar)){  $ndepartamento=$datos[0];  }
		
			  $sql_contar =mysqli_query($conexion,"select nombre from municipio where departamento='".$departamento."' and id='".$municipio."'");
			 while($datos= mysqli_fetch_row($sql_contar)){  $nciudad=$datos[0];  }
		
			 
				if($gerente=='null'){$gerente="";}
				if($responsable=='null'){$responsable="";}
			 
			 $objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $ngrupoempresarial)
											->setCellValue('B'.$row, $contrato)
											->setCellValue('C'.$row, $nitrs)
											->setCellValue('D'.$row, $nombre)
											->setCellValue('E'.$row, $ndepartamento)
											->setCellValue('F'.$row, $nciudad)
											->setCellValue('G'.$row, $poradministracion)
											->setCellValue('H'.$row, $politicaretorno)
											->setCellValue('I'.$row, $reteica)
											->setCellValue('J'.$row, $comision);
					$row++;	
					
					
		 }
	$objPHPExcel->getActiveSheet()->setTitle($nombreg);
//fin hoja 1	 





//hoja 2
   $cg=1;
   $sql_datospolitica=mysqli_query($conexion,"SELECT arl,count(*) from empresa 
										 group by arl
										 order by arl asc");
	while($datospoli= mysqli_fetch_row($sql_datospolitica)) 
	 {
		$codarl=$datospoli[0];
		$total=$datospoli[1];
		$narl="";
		 $sql_contar =mysqli_query($conexion,"select nombre from riesgoslaborales where id='".$codarl."'");
		 while($datos= mysqli_fetch_row($sql_contar)){  $narl=$datos[0];  }
		if($narl<>""){} else {$narl='No Definido';}	
		$row=1;
		$nombreg="$narl";
		
			$objPHPExcel->createSheet();	
	        $objPHPExcel->setActiveSheetIndex($cg);
			$objPHPExcel->getActiveSheet()->setCellValue('A'.$row, 'Gr.Empresarial');
			$objPHPExcel->getActiveSheet()->setCellValue('B'.$row, 'Contrato');
			$objPHPExcel->getActiveSheet()->setCellValue('C'.$row, 'Nit');
			$objPHPExcel->getActiveSheet()->setCellValue('D'.$row, 'Nombre');
			$objPHPExcel->getActiveSheet()->setCellValue('E'.$row, 'Departamento');
			$objPHPExcel->getActiveSheet()->setCellValue('F'.$row, 'Ciudad');
			$objPHPExcel->getActiveSheet()->setCellValue('G'.$row, '% Admin');
			$objPHPExcel->getActiveSheet()->setCellValue('H'.$row, 'Politica Retorno');
			$objPHPExcel->getActiveSheet()->setCellValue('I'.$row, 'Reteica');
			$objPHPExcel->getActiveSheet()->setCellValue('J'.$row, 'Comision');
			$row++;	
			
			$sql_datosrs=mysqli_query($conexion,"SELECT	nit,Nombre,Direccion, Telefono, departamento, ciudad, contrato, grupoempresarial, arl,
														gerente, gerentetelefono, gerentecorreo, responsable, responsablecargo, 
														responsabletelefono, responsablecorreo,id,
														poradministracion,politicaretorno,reteica,comision
											   from empresa 
											   where arl='".$codarl."'
											   order by nombre asc");
			while($datos= mysqli_fetch_row($sql_datosrs))
				{ 
					$nitrs=$datos[0];
					$nombre=$datos[1];
					$direccion=$datos[2];
					$telefono=$datos[3];
					$departamento=$datos[4];
					$municipio=$datos[5];
					$contrato=$datos[6];
					$grupoempresarial=$datos[7];
					$alr=$datos[8];
					$gerente=$datos[9];
					$gerentetelefono=$datos[10];
					$gerentecorreo=$datos[11];
					$responsable=$datos[12];
					$responsablecargo=$datos[13];
					$responsabletelefono=$datos[14];
					$responsablecorreo=$datos[15];
					$idreg=$datos[16];
					$poradministracion=$datos[17];
					$politicaretorno=$datos[18];
					$reteica=$datos[19];
					$comision=$datos[20];
					
					  
					$ngrupoempresarial="";$nciudad="";$ndepartamento="";
					 $sql_contar =mysqli_query($conexion,"select nombre from grupo_empresarial where id='".$grupoempresarial."'");
					 while($datos= mysqli_fetch_row($sql_contar)){  $ngrupoempresarial=$datos[0];  }
					 
					  $sql_contar =mysqli_query($conexion,"select nombre from departamento where id='".$departamento."'");
					 while($datos= mysqli_fetch_row($sql_contar)){  $ndepartamento=$datos[0];  }
				
					  $sql_contar =mysqli_query($conexion,"select nombre from municipio where departamento='".$departamento."' and id='".$municipio."'");
					 while($datos= mysqli_fetch_row($sql_contar)){  $nciudad=$datos[0];  }
				
					 
						if($gerente=='null'){$gerente="";}
						if($responsable=='null'){$responsable="";}
					 
					 $objPHPExcel->getActiveSheet()->setCellValue('A'.$row, $ngrupoempresarial)
													->setCellValue('B'.$row, $contrato)
													->setCellValue('C'.$row, $nitrs)
													->setCellValue('D'.$row, $nombre)
													->setCellValue('E'.$row, $ndepartamento)
													->setCellValue('F'.$row, $nciudad)
													->setCellValue('G'.$row, $poradministracion)
													->setCellValue('H'.$row, $politicaretorno)
													->setCellValue('I'.$row, $reteica)
													->setCellValue('J'.$row, $comision);
					$row++;	
							
							
				 }
	       
		
	    $objPHPExcel->getActiveSheet()->setTitle($nombreg);
		$cg++;	
	 }
//fin hoja 2




	 
$objPHPExcel->setActiveSheetIndex(0);
$callStartTime = microtime(true);

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save(str_replace('.php', '.xlsx', __FILE__));
$callEndTime = microtime(true);
$callTime = $callEndTime - $callStartTime;



